# Copyright (c) 2022 Autoconf Archive Maintainers <autoconf-archive-maintainers@gnu.org>
#
# Copying and distribution of this file, with or without modification, are
# permitted in any medium without royalty provided the copyright notice and
# this notice are preserved. This file is offered as-is, without any warranty.

2022-09-03  Peter Simons  <simons@cryp.to>

	Fix broken e-mail addresses in copyright lines.

	Merge remote-tracking branch 'github/master'.

	fix serial numbers

	Merge pull request #260 from fanquake/opt_brew_boost_base
	boost_base: add /opt/homebrew to search paths

2022-08-31  Yaakov Selkowitz  <yselkowi@redhat.com>

	AX_PYTHON_DEVEL: fix for Python 3.10+

2022-08-31  fanquake  <fanquake@gmail.com>

	boost_base: add /opt/homebrew to search paths
	Users with Boost installed via homebrew on arm64 (M1) hardware will
	have the libs under this path. Not sure if this is something you'd want
	to accomodate, but we currently patch this into the macro, so have
	decided to upstream.

	fix typo in boost_base.m4

2022-08-29  Bastien Roucariès  <rouca@debian.org>

	Add more python version
	Add a few python version 3.12 3.11 3.10

2022-08-29  Stefano Rivera  <stefanor@debian.org>

	Fix typo, check for PYTHON_PLATFORM_SITE_PKG not PYTHON_SITE_PKG

2022-08-29  Stefano Rivera  <stefanor@debian.org>

	Support Debian's posix_local sysconfig scheme in ax_python_devel
	Debian adds a custom sysconfig scheme to system python installs,
	"posix_local". This is the default scheme, and it redirects local
	users' Python module installs to /usr/local even though Python is
	installed with a /usr prefix. Both are on Debian's python's sys.path
	module search path.

	Autoconf and its users understand prefixes, and are likely to select
	/usr/local, explicitly. Select the "posix_prefix" scheme, with the
	user-supplied prefix.

	Previously this custom sysconfig scheme was specified in
	distutils.sysconfig, but not sysconfig itself. As distutils is being
	deprecated, the custom scheme is now specified in sysconfig, since
	Debian's Python 3.10 (3.10.2-4).

2022-08-13  Peter Simons  <simons@cryp.to>

	Merge pull request #257 from lukem/ax_boost_json
	ax_boost_json: implement for Boost::JSON library

2022-08-13  Helmut Grohne  <helmut@subdivi.de>

	Fix FTCBFS with lib mysql
	apophenia fails to cross build from source, because it fails to locate
	the mysql client libraries. It does so via the AX_LIB_MYSQL macro, which
	consults mysql_config, which cannot work during cross builds. This patch
	extends the AX_LIB_MYSQL
	macro to try pkg-config before mysql_config.

	FIX FTCBS
	projectm fails to cross build from source, because it uses AX_HAVE_QT
	from autoconf-archive and that macro hard codes the build architecture
	qmake. We use the
	host architecture for qmake.

2022-08-13  Helmut Grohne  <helmut@subdivi.de>

	Fix AX_LUA_HEADERS uses AC_RUN_IFELSE
	telegram-cli fails to cross build from source, because it uses
	AX_LUA_HEADERS, which happens to use AC_RUN_IFELSE to compute the lua
	version. As it turns out, the version is also available as an integer,
	which allows using the cross-friendly AC_COMPUTE_INT. The attached patch
	updates AX_LUA_HEADERS to use AC_COMPUTE_INT.

	debian-bug: https://bugs.debian.org/956713

2022-08-06  Luke Mewburn  <Luke@Mewburn.net>

	ax_boost_json: implement for Boost::JSON library
	Add AX_BOOST_JSON() to search for Boost::JSON
	(which is in boost 1.75 or newer)

	Macro derived from AX_BOOST_RANDOM().

2022-08-01  Peter Simons  <simons@cryp.to>

	Merge pull request #255 from ojwb/fix-AX_CXX_COMPILE_STDCXX-for-MSVC
	ax_cxx_compile_stdcxx: Fix for MSVC

	Merge pull request #254 from dnicolson/remove-duplicate-variable
	Remove duplicate $PYTHON_EXTRA_LIBS variable

2022-07-28  SAITO Fuyuki  <saitofuyuki@jamstec.go.jp>

	ax_lib_netcdf4: enable NF_CONFIG run-time definition.
	nf-config may not be installed under the same directory as nc-config.
	To avoid the automatic definition of nf-config, setting of NF_CONFIG
	variable is introduced for a workaround.

2022-07-25  Olly Betts  <olly@survex.com>

	ax_cxx_compile_stdcxx: Fix for MSVC
	MSVC always sets __cplusplus to 199711L in older versions; newer versions
	do the same unless /Zc:__cplusplus is specified as well as a /std:c++<NN>
	switch:

	https://devblogs.microsoft.com/cppblog/msvc-now-correctly-reports-__cplusplus/

	This fixes a regression compared to the old separate
	AX_CXX_COMPILE_STDCXX_11, etc macros which didn't check the value of
	__cplusplus so worked OK with MSVC.

2022-06-06  Bogdan Drozdowski  <>

	Make assembler-option macros more portable and exit early if assembler not found

	Make assembler-finding macros more portable

2022-04-26  Ondřej Surý  <ondrej@isc.org>

	ax_prog_cc_for_build: Properly restore ac_cv_c_compiler_gnu
	The ac_cv_c_compiler_gnu wasn't properly restored to original
	state (f.e. yes), but value of the "save" variable was used:

	ac_cv_c_compiler_gnu=${ac_cv_c_compiler_gnu=saved_ac_cv_c_compiler_gnu}

	Additionally, we don't need to cache the saved_ac_cv_c_compiler_gnu
	and was_set_ac_cv_c_compiler_gnu, so remove the ac_cv_ from their names.

	This would not manifest on a single run, but any repeated run with cache
	file (./configure -C) would be broken.

2022-04-25  Peter Simons  <simons@cryp.to>

	ax_python_devel: bump serial number after recent changes

	Merge pull request #249 from bogdro/ax_prototype
	Fix deprecated things in ax_prototype.m4

	Merge pull request #250 from agbuckley/ax_python_devel-safe-pyversion
	Fix Python version-string comparisons in ax_devel_python.m4

2022-04-25  Reuben Thomas  <rrt@sc3d.org>

	m4/ax_cc_maxopt.m4: add missing ;; to end of case

2022-04-05  Andy Buckley  <andy.buckley@cern.ch>

	Add a shim class to ax_devel_python.m4 to make the Python version-string comparisons evaluate correctly between < .10 and >= .10 micro version numbers

2022-04-03  Dave Nicolson  <david.nicolson@gmail.com>

	Remove duplicate variable

	Make indentation consistent

2022-03-30  bogdro  <93281795+bogdro@users.noreply.github.com>

	Fix deprecated things in ax_prototype.m4
	Fix deprecated things in ax_prototype.m4, other small changes.

2022-02-11  Peter Simons  <simons@cryp.to>

	Re-format macros into the canonical format.

	Merge pull request #246 from vapier/master
	AX_CC_FOR_BUILD: deprecate in favor of AX_PROG_CC_FOR_BUILD

	Merge pull request #244 from manxorist/cxx20
	AX_CXX_COMPILE_STDCXX: add C++20 support

	Merge pull request #243 from rmathar/master
	detect qtmake-qt5, moc-qt5 etc in ax_have_qt.m4

	Merge pull request #242 from ossama-othman/fix-ax-valgrind-check
	AX_VALGRIND_CHECK: Fix "nothing to be done".

	Merge pull request #241 from earlchew/ax_valgrind_check-addprefix
	VALGRIND_CHECK_RULE: Correct spelling of $(addprefix)

	Merge pull request #240 from chuckatkins/detect-nvhpc
	AX_COMPILER_VENDOR: Add support for the NVIDIA HPC Compiler

	Merge pull request #239 from jpalus/ax_cc_maxopt-autoconf-2.70
	AX_CC_MAXOPT: adjust to new way of testing if var is set

	Merge pull request #237 from kiplingw/patch-1
	ax_gcc_x86_cpu_supports.m4: Fix AC_LANG clobbered...

	Merge pull request #236 from bastien-roucaries/fromdebian
	path_bdd from debian

2022-01-19  Mike Frysinger  <vapier@gentoo.org>

	AX_CC_FOR_BUILD: deprecate in favor of AX_PROG_CC_FOR_BUILD
	The AX_PROG_CC_FOR_BUILD has seen a lot more updates than
	AX_CC_FOR_BUILD, and is generally way more complete.  The latter
	hardcoded `gcc` as the native compiler fallback and lacks any of
	the standard $build- prefix searches.

	It also uses non-standard cache vars -- it's using the bfd_cv_xxx
	namespace instead of the ax_cv_xxx namespace everything else does.

	Otherwise, the macros largely have the same intention: to find a
	compiler for the build system, and setup the exe extension.  So
	deprecate AX_CC_FOR_BUILD and have it redirect automatically.

2021-12-25  Jörn Heusipp  <osmanx@problemloesungsmaschine.de>

	AX_CXX_COMPILE_STDCXX: add C++20 support

2021-12-10  mathar  <mathar@mpia-hd.mpg.de>

	detect qtmake-qt5, moc-qt5 etc in ax_have_qt.m4

2021-11-30  Ossama Othman  <ossama.othman@intel.com>

	AX_VALGRIND_CHECK: Bump the M4 serial number.

2021-11-30  Ossama Othman  <ossama.othman@intel.com>

	AX_VALGRIND_CHECK: Correct recursive target names.
	Recursive targets associated with AM_EXTRA_RECURSIVE_TARGETS() macro
	calls should end with "-local", not "-am".  Correct the
	check-valgrind{-vgtool}-am rules accordingly.  This addresses a
	problem where the calling "make check-valgrind" resulted in "nothing
	to be done".

	See the Automake manual Section "Recursing subdirectories" for
	details:
	https://www.gnu.org/software/automake/manual/automake.html#Subdirectories

2021-11-30  Ossama Othman  <ossama.othman@intel.com>

	AX_VALGRIND_CHECK: Fix recursive rule generation.
	Move the AM_EXTRA_RECURSIVE_TARGETS() macro calls inside of the
	AX_VALGRIND_CHECK definition to force the AM_EXTRA_RECURSIVE_TARGETS()
	macro calls to be processed as part of AX_VALGRIND_CHECK. The
	recursive targets were otherwise not generated by Automake when using
	an installed copy of the `ax_valgrind_check.m4' file
	(e.g. `/usr/share/aclocal/ax_valgrind_check.m4').

2021-11-18  Earl  <earl@timberdragon.com>

	VALGRIND_CHECK_RULE: Correct spelling of $(addprefix)

2021-11-05  Chuck Atkins  <chuck.atkins@kitware.com>

	AX_COMPILER_VENDOR: Add support for the NVIDIA HPC Compiler
	This specifically detects the NVIDIA HPC compiler.  The "nvhpc"
	label is explicitly chosen here insted of "nvidia" to distinguish
	from other NVIDIA compilers (cuda, etc.)

2021-08-30  Jan Palus  <jpalus@fastmail.com>

	AX_CC_MAXOPT: adjust to new way of testing if var is set
	autoconf 2.70 changed default value set in $ac_test_* from "set" to "y"
	see https://git.savannah.gnu.org/cgit/autoconf.git/commit/?id=76754e0
	instead of checking for specific value, just check if var is empty

2021-08-15  Adam Chyła  <adam@chyla.org>

	AX_PROG_ROBOT: fix version checking
	- fix issue when two numbers version (X.Y) is not detected

2021-08-11  Kip  <kip@thevertigo.com>

	ax_gcc_x86_cpu_supports.m4: Fix AC_LANG clobbered...
	AX_GCC_X86_CPU_SUPPORTS expands _AX_GCC_X86_CPU_INIT, which in turn expands an AC_LANG_PUSH([C]) without a corresponding AC_LANG_POP([C])...

2021-08-09  Bastien Roucariès  <rouca@debian.org>

	Modernize ax_path_bdb
	Run AC_SUBST on principal variables and clean up

	Use AS_IF in ax_path_bdb.m4
	Simplify the code and cleaner

	Improve AX_PATH_BDB_NO_OPTIONS
	Run detection of local install even if no crosscompile because we are now cross compile safe

	Cleanup _AX_PATH_BDB_PATH_FIND_HIGHEST
	Improve this function and add tracing.

	Use _AX_PATH_BDB_ENV_GET_VERSION in local install check
	Do not hardcode test and use generic test that is usuable in cross compile

	Improve ax_path_bdb
	Use default value 0 for minimal version

	Harden fail path of header detection of ax_path_bdb

	Fix ax_path_bdb in case of crosscompile
	We could safely run the env test now

	Simplify detection of versioned lib
	Use a for loop along lib instead of if else

	Allow linking in case of cross compile
	Check linking even if cross compile

	Use private name for variable
	Follow variable style of autoconf

	Factorize header test of path bdb

	Use AC_COMPUTE_INT for computing db version
	Better portability and better reporting of error

	Detect header db.h using classical construct
	Detect header db.h using the classical AC_COMPILE_IFELSE instead of home made test.
	Will allow latter factorisation in case of cross compile

2021-06-17  Tim Ruffing  <crypto@timruffing.de>

	AX_PROG_CC_FOR_BUILD: Add workaround for ac_cv_c_compiler_gnu issue

	AX_PROG_CC_FOR_BUILD: support C99 and C11 variables

2021-06-17  Pieter Lexis  <pieter.lexis@powerdns.com>

	Modernize ax_check_sign.
	This changes the obsolete AC_TRY_COMPILE to the newer
	AC_COMPILE_PROGRAM.

2021-06-17  Vincent Danjean  <Vincent.Danjean@ens-lyon.org>

	AX_PKG_SWIG: fix version checking
	- when SWIG is found but no minimal version is required,
	  execute action-if-found
	- when only a partial version is given as minimal version,
	  correctly set minor and/or patch to 0 if missing
	  Without the fix, AX_PKG_SWIG([4]) is the same as AX_PKG_SWIG([4.4.4])

2021-06-17  Richard B Winters  <rik@mmod.co>

	 Add Boost::Random support to AX_BOOST_<X>

	Add Boost::Atomic support to AX_BOOST_<X>

	Add support for Microsoft's C++ Rest SDK

2021-06-17  Petr Menšík  <pemensik@redhat.com>

	Define PYTHON_PLATFORM_SITE_PKG=
	Python site-path is defined only for platform independent modules.
	Platform dependent modules might need autoconf more often, export also
	site-path for platform dependent code, such as compiled C libraries
	wrappers.

	Support sysconfig python module in python_devel
	distutils are going to be deprecated in Python 3.12. Support and prefer
	sysconfig module over distutils.sysconfig for fetching system
	definitions.

2021-06-12  David Seifert  <soap@gentoo.org>

	Revert "AX_PTHREAD: target > host"
	This reverts commit 2567e0ce0f3a11b535c6b527386197fb49ff172b.

	* `AC_CANONICAL_HOST` is the system on which the actual binary will run,
	  `AC_CANONICAL_TARGET` is the system for which code is generated. The
	  Autoconf manual even mentions that

	    --target=target-type
	      the type of system for which any compiler tools in the package produce code (**rarely needed**).

2021-02-19  Peter Simons  <simons@cryp.to>

	AX_CHECK_PCRE2: cosmetic change to fix the #serial number

2021-02-19  Michael Orlitzky  <michael@orlitzky.com>

	AX_ABSOLUTE_HEADER: replace AC_FOREACH with m4_foreach_w
	The AC_FOREACH macro is deprecated in favor of m4_foreach_w. This
	eliminates the associated warning in newer versions of autoconf.

2021-02-19  Ignacy Gawedzki  <ignacy.gawedzki@green-communications.fr>

	AX_BOOST_SERIALIZATION: make sure tests run with a clean $ax_lib variable
	The ax_lib variable needs to be emptied before the tests, otherwise it might
	still contain the value from some unrelated previous test.

2021-02-19  Max Horn  <max@quendi.de>

	AX_PROG_CXX_FOR_BUILD: match changes made to AX_PROG_CC_FOR_BUILD recently
	- save/restore GXX
	- honor `./configure --build=BUILD`
	- use AC_LANG_PUSH and AC_LANG_POP to save and restore global variables
	  used for running tests like ac_compile and ac_link
	- use pushdef/popdef to save and restore ac_tool_prefix, cross_compiling
	  and am_cv_CXX_dependencies_compiler_type (not sure if we need the latter
	  but this mimicks what AX_PROG_CC_FOR_BUILD does)

2021-02-19  Matthieu Schaller  <matthieu.schaller@gmail.com>

	AX_LIB_HDF5: fix ax_lib_hdf5 on systems with verbose h5cc -show
	On some systems, the installation of h5cc is such that `h5cc -show` produces
	more than one line. This breaks the macro and produces an invalid Makefile.

	This proposed change just calls `head` before the call to `awk` to make sure
	only the first line (the relevant one) is used.

2021-02-19  Peter Simons  <simons@cryp.to>

	AX_CHECK_PCRE2: search for an installed libpcre2-8 library
	Submitted in <https://savannah.gnu.org/patch/index.php?9900>.

2021-02-19  Zack Weinberg  <zackw@panix.com>

	AX_PTHREAD: use AS_ECHO instead of $as_echo
	AS_ECHO(["text"]) is the documented way to perform an 'echo' safely.
	$as_echo is an internal, undocumented shell variable that was part of
	the implementation of AS_ECHO; it was never intended to be used directly.

	The code in ax_pthread.m4 would work with autoconf 2.69, but with
	unreleased development versions of Autoconf from January 2013 until
	March 2020 (which did not set $as_echo at all) it would have malfunctioned
	unpredictably.  With versions after March 2020 it would work correctly
	but trigger -Wobsolete warnings.

2021-02-19  Jens Rehsack  <sno@netbsd.org>

	AX_PTHREAD: target > host
	Even if cross-compiling is not the most used use-case, it's much more
	important where we build for then where we run configure stage on (see
	autoconf-manual "18.6.3 Hosts and Cross-Compilation").

	AX_PTHREAD.M4: ensure C++ is handled analogous
	Since at least AIX behaves for CC_r/xlC_r as it does for cc_r/xlc_r and so on,
	use the same logic for CXX <-> PTHREAD_CXX as provided for CC <-> PTHREAD_CC
	to avoid code & issue duplication.

2021-02-19  Paul Wise  <pabs3@bonedaddy.net>

	AX_PYTHON: add newer versions of Python
	Python 3.8 was released on 2019-10-14.
	Python 3.9 alpha 1 was released on 2019-11-19.

2021-02-18  Peter Simons  <simons@cryp.to>

	Merge pull request #222 from bircoph/master
	AX_BOOST_BASE: add e2k to the list of lib64 architectures

	Merge pull request #220 from chyla/robot
	add ax_prog_robot.m4

	Merge pull request #219 from CheyenneWills/fallthrough-fix
	ax_gcc_func_attribute.m4: test fails for the fallthrough attribute with clang

	Merge pull request #218 from jicama/master
	ax_cxx_compile_stdcxx.m4: Restore check for default C++ version support

	Merge pull request #217 from rrthomas/ax_cpu_vendor-cache-fix
	ax_cpu_vendor: rename output variable to prevent autoconf warnings

2020-07-14  Michael Shigorin  <mike@altlinux.org>

	AX_BOOST_BASE: add e2k to the list of lib64 architectures

2020-06-02  Adam Chyła  <adam@chyla.org>

	update serial

	fix malformed license section

	remove non ascii characters

	add ax_prog_robot.m4

2020-05-20  Cheyenne Wills  <cheyenne.wills@gmail.com>

	ax_gcc_func_attribute.m4: test fails for the fallthrough attribute with clang
	The test for the fallthrough attribute fails due to other compiler
	warnings when using clang.  The following warnings are generated:

	   warning: no case matching constant switch condition '0'
	   warning: control reaches end of non-void function [-Wreturn-type]

	Because of these additional warnings, the test always results in a
	failure for the fallthrough attribute.

	Update ax_gcc_func_attribute.m4 to eliminate the warnings that are
	masking the test for the fallthrough attribute.

	Note, tested the entire suite of attribute tests using clang and only
	the fallthrough test contained warnings that caused the test to fail.

2020-05-15  Jason Merrill  <jason@redhat.com>

	ax_cxx_compile_stdcxx.m4: Restore check for default C++ version support
	Commit bbb60ca79952c20ee0b187208533d98206b156d1 removed this check because
	it can't support the user requesting noext.  But if the user didn't specify
	ext or noext, using the default mode should be fine.  So this patch restores
	the check if the second argument is empty.

2020-04-18  Reuben Thomas  <rrt@sc3d.org>

	ax_cpu_vendor: rename output variable to prevent autoconf warnings
	The current version of AX_CPU_VENDOR causes autoconf 2.69 to give the
	warning:

	  AC_CACHE_VAL(ax_cpu_vendor, ...): suspicious cache-id, must contain _cv_ to be cached

	Hence, rename ax_cpu_vendor to ax_cv_cpu_vendor.

2020-04-18  Reuben Thomas  <rrt@sc3d.org>

	ax_subdirs_configure.m4: update to make cache files for subdirs work better

2020-03-13  Pau Espin Pedrol  <pespin@sysmocom.de>

	m4/ax_boost_base.m4: Fix debian multiarch_libsubdir path for arch armv7l
	Without this patch, building on an RPI4 ends up with
	BOOST_LDFLAGS=-L/usr/lib while libs are actually under
	/usr/lib/arm-linux-gnueabihf, and configure will later file during
	AX_BOOST_THREAD macro.

2020-03-13  Peter Simons  <simons@cryp.to>

	ax_gcc_func_attribute: fix serial number

	Merge pull request #215 from chenming1986/gcc-attr
	ax_gcc_func_attribute: Revise the detection of unknown attributes

	Merge pull request #207 from jannick0/ax_prog_cc_for_build
	ax_prog_cc_for_build.m4: bug fixes

2020-03-02  Ming Chen  <ming.chen1986@gmail.com>

	ax_gcc_func_attribute: Revise the detection of unknown attributes
	GCC outputs a warning when Wstrict-prototypes is on, in such case the
	attribute detection always fails even if the attribute is actually
	supported. This change checks for the "-Wattributes" warning in
	conftest.err instead of the existence of the file.

2020-02-08  Jannick  <thirdedition@gmx.net>

	ax_prog_cc_for_build.m4: bump serial to 18 (from 9)

	ax_prog_cc_for_build.m4: add call for AC_CANONICAL_BUILD

2020-02-08  Jannick  <thirdedition@gmx.net>

	ax_prog_cc_for_build.m4: use AC_LANG_PUSH([C]) and AC_LANG_POP([C])
	AC_LANG_PUSH([C]) makes sure that the global configure variables (like
	ac_ext, ac_cpp, ac_compile, ac_link, ac_compiler_gnu) required by the internal
	compile and link functions are defined for the C language for the BUILD
	system.  AC_LANG_POP([C]) ensures that the current language before calling
	AX_PROG_CC_FOR_BUILD is restored.

	AC_LANG_PUSH and AC_LANG_POP are preferable over manually defining the
	global ac_... language-related variables (incl. temporary SAVE variables).

	NOTE that any changes to the set of global variables, language specific variables
	(as defined by AC_LANG_PUSH([C]) and AC_LANG_POP([C])) shall be reflected
	in the pushdef/popdef blocks.

2020-02-08  Jannick  <thirdedition@gmx.net>

	ax_prog_cc_for_build.m4: bug fix - determine EXEEXT and OBJEXT for BUILD
	Prior to this commit, the variables ac_exeext and ac_objext remain undefined,
	however they are announced to be passed on to Makefile via the variables
	BUILD_EXEEXT and BUILD_OBJEXT.  For defining the former call the macros
	_AC_COMPILER_EXEEXT and _AC_COMPILER_OBJEXT using the BUILD compiler.

	NOTE: This commit makes use of the **internal** macros _AC_COMPILER_EXEEXT
	and _AC_COMPILER_OBJEXT, which, as of now, appears to be OK if EXEEXT and
	OBJEXT for the BUILD compiler should be determined with AX_PROG_CC_FOR_BUILD.

2020-02-08  Jannick  <thirdedition@gmx.net>

	ax_prog_cc_for_build.m4: bug fix - prevent using HOST cache values
	ax_prog_cc_for_build.m4: push&pop the following variables for BUILD
	which prevents using the HOST cache values:
	- ac_cv_prog_cc_c89
	- am_cv_prog_cc_c_o
	- am_cv_CC_dependencies_compiler_type

2020-02-08  Jannick  <thirdedition@gmx.net>

	ax_prog_cc_for_build.m4: bug fix - run tests with BUILD compiler
	Tested with autoconf 2.69: This is to fix that the compilation tests for
	BUILD use the HOST compiler, regardless of configure's --build flag.

	The compilation test functions in the configure script (like
	'ac_fn_c_try_compile' and 'ac_fn_c_try_cpp') use the global variables
	ac_ext, ac_cpp, ac_compile and ac_link.  Thus, the push&pop technique
	applied prior to this commit implies that the BUILD compilation test
	are run with the HOST compiler.
	Use an old-fashioned variable-save-technique.

2020-02-08  Jannick  <thirdedition@gmx.net>

	ax_prog_cc_for_build.m4: bug fix - honor configure's --build flag
	Prior to this commit, ./configure --build=BUILD is currently ignored, such
	that gcc found first on PATH is detected for BUILD, regardless of what
	was set in the parameter --build.

	This commit fixes this bug and allows to pass a BUILD platform triplet to
	configure which is different from gcc found first on PATH.

	* ax_prog_cc_for_build.m4:
	- use ac_build_tool_prefix defined to the first non-void variable of
	  'build' and 'build_alias' (push and pop).  Note that if configure is not
	  called with --build=BUILD, gcc first found on PATH is used for BUILD.

2020-02-08  Jannick  <thirdedition@gmx.net>

	ax_prog_cc_for_build.m4: add 'GCC_FOR_BUILD' as given in documentation

	ax_prog_cc_for_build.m4: remove reference to obsolete macro 'AC_EXEEXT'
	Cf. https://www.gnu.org/software/autoconf/manual/autoconf-2.69/html_node/Obsolete-Macros.html

2020-02-07  Peter Simons  <simons@cryp.to>

	Merge pull request #204 from cr-marcstevens/master
	Fix ax_pthread.m4: try to include -lpthread in PTHREAD_LIBS for GCC & Clang since automatic usage is not guaranteed

	Merge pull request #208 from rurban/fortify
	ax_add_fortify_source.m4: improve for -Wcpp

2020-01-26  Peter Kokot  <peterkokot@gmail.com>

	Merge pull request #210 from lpsinger/ax_gcc_builtin-cpu_supports
	Add __builtin_cpu_supports and friends to AX_GCC_BUILTIN

	Merge pull request #205 from simark/epoll
	ax_have_epoll: avoid -Wunused-but-set-variable errors

	Merge pull request #211 from icota/2019-12-android-boost-thread
	ax_boost_thread: do not set -pthread on Android

2020-01-06  Peter Kokot  <peterkokot@gmail.com>

	Merge pull request #212 from kvilhaugsvik/sqlite3
	ax_lib_sqlite3: fix "unary operator expected"

	Merge pull request #203 from Sjors/2019/11/want_boost_process
	Use want_boost_process instead of want_boost

	Merge pull request #213 from LocutusOfBorg/fix-boost
	ax_boost_python.m4: fix missing "-l" parameter, resulting into a link…

2020-01-03  Gianfranco Costamagna  <costamagnagianfranco@yahoo.it>

	ax_boost_python.m4: fix missing "-l" parameter, resulting into a link failure when used.
	configuring a project with something like:
	--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --with-boost-python='boost_python3.7'

	tanslates the build into a "boost_python37" link line

	checking whether boost_python37 is the correct library... yes

	/bin/bash ../libtool  --tag=CXX   --mode=link mpicxx  -Wall -g -O2 -fdebug-prefix-map=/<<PKGBUILDDIR>>=. -fstack-protector-strong -Wformat -Werror=format-security -release 2.3.4  -L/usr/lib/i386-linux-gnu -lboost_system -lpython3.7m -Wl,-z,relro -Wl,-z,now -o libFoundation.la -rpath /usr/lib/i386-linux-gnu libFoundation_la-console.lo libFoundation_la-Counter.lo libFoundation_la-Matrix3.lo libFoundation_la-Quaternion.lo libFoundation_la-vec3.lo libFoundation_la-Timer.lo libFoundation_la-StringUtil.lo libFoundation_la-realdist.lo libFoundation_la-PathSearcher.lo libFoundation_la-Runnable.lo libFoundation_la-PathUtil.lo libFoundation_la-Rng.lo libFoundation_la-BoundingSphere.lo libFoundation_la-BoundingBox.lo libFoundation_la-cube_eq.lo -lboost_filesystem boost_python37 -lpython3.7m -lmpi++ -lmpi

	note the missing "-l" on python, while it is there for the filesystem link.

2020-01-03  Sveinung Kvilhaugsvik  <sveinung84@users.sourceforge.net>

	ax_lib_sqlite3: fix "unary operator expected"

2019-12-31  Igor Cota  <igor@codexapertus.com>

	ax_boost_thread: do not set -pthread on Android
	The android libc, bionic, provides built-in support for pthreads, so no additional linking is necessary.
	Leaving -pthread breaks the build, see protocolbuffers/protobuf#1373

2019-12-29  Leo Singer  <leo.singer@ligo.org>

	Add __builtin_cpu_supports and friends to AX_GCC_BUILTIN
	Add x86 builtins related to cpuid support to AX_GCC_BUILTIN.

2019-12-25  Reini Urban  <rurban@cpan.org>

	ax_add_fortify_source.m4: improve for -Wcpp
	gcc-9 warns when -O is not enabled.

	fix AX_ADD_FORTIFY_SOURCE for msys2
	msys2 just dropped _FORTIFY_SOURCE support.
	See https://github.com/msys2/MINGW-packages/issues/5803
	Try to actually link it.

2019-11-28  Simon Marchi  <simon.marchi@efficios.com>

	ax_have_epoll: avoid -Wunused-but-set-variable errors
	When building with -Werror -Wunused-but-set-variable, the code snippets
	in this file generate a warning, causing the test to spuriously fail.
	Remove the "rc" variables, since they're not used.

	Sample config.log output:

	    configure:22489: checking for Linux epoll(7) interface
	    configure:22515: ccache gcc -o conftest -g3 -O0 -Wall -Werror -Wextra -Wno-type-limits -Wno-missing-declarations -Wno-missing-field-initializers -Wno-si      gn-compare -Wno-implicit-fallthrough -Wno-unused-parameter -I/home/smarchi/install/include -DHAVE_LINUX_VERSION_H -L/home/smarchi/install/lib conftest.c       -lurcu-cds  >&5
	    conftest.c: In function 'main':
	    conftest.c:184:9: error: variable 'rc' set but not used [-Werror=unused-but-set-variable]
	     int fd, rc;
	             ^~
	    cc1: all warnings being treated as errors

2019-11-26  cr-marcstevens  <github@marc-stevens.nl>

	Note that for GCC and Clang -pthread generally implies -lpthread, except when -nostdlib is passed. This is problematic using libtool to build C++ shared libraries with pthread: [1] https://gcc.gnu.org/bugzilla/show_bug.cgi?id=25460 [2] https://bugzilla.redhat.com/show_bug.cgi?id=661333 [3] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=468555 To solve this, first try -pthread together with -lpthread for GCC and Clang.
	Changes:
	- added support for combination "cflags,ldflags" style option to try
	- check for Clang early
	- for GCC and Clang try "-pthread,-lpthread" first, followed by original options (-pthread, etc.)
	- Perform check for Clang flag to suppress warning when linking with -pthread later
	- removed line "ax_pthread_clang_warning=0" (unused)

2019-11-11  Sjors Provoost  <sjors@sprovoost.nl>

	Use want_boost_process instead of want_boost

2019-11-05  Sjors Provoost  <sjors@sprovoost.nl>
	    Luke Dashjr  <luke-jr+git@utopios.org>

	Add ax_boost_process

2019-10-23  Reini Urban  <rurban@cpan.org>

	add AX_GCC_FUNC_ATTRIBUTE(gnu_format)
	newer gcc warns about function might be a candidate for
	gnu_printf format attribute [-Wsuggest-attribute=format]

	Usage: AX_GCC_FUNC_ATTRIBUTE(gnu_format)
	and:
	  #ifdef HAVE_FUNC_ATTRIBUTE_GNU_FORMAT
	    __attribute__ ((format (gnu_printf, 1, 2)))
	  #elif HAVE_FUNC_ATTRIBUTE_FORMAT
	    __attribute__ ((format (printf, 1, 2)))
	  #endif

2019-10-03  Simon Marchi  <simon.marchi@efficios.com>

	ax_pthread.m4: avoid unused-but-set-parameter warning
	With gcc's warning -Wunused-but-set-parameter enabled (which is enabled
	with -Wextra) and -Werror, configuring with the AX_PTHREAD macro fails
	with:

	    configure:6783: checking whether pthreads work with -pthread
	    configure:6877: ccache gcc -o conftest -g3 -O0 -Werror -Wall -Wextra  -fmax-errors=1 -fdiagnostics-color=always -Wall -DGLIB_VERSION_MAX_ALLOWED=GLIB_VERSION_2_22 -pthread   conftest.c   >&5
	    conftest.c: In function 'routine':
	    conftest.c:37:51: error: parameter 'a' set but not used [-Werror=unused-but-set-parameter]
	                             static void routine(void *a) { a = 0; }
	                                                       ^
	    cc1: all warnings being treated as errors

	Change the code to make it use, not only set, the parameter.

2019-09-13  fanquake  <fanquake@gmail.com>

	Improve Boost library error messages

2019-09-05  Henrik Bengtsson  <hb@aroma-project.org>

	BUG FIX: Fixing a _R_CHECK_LENGTH_1_CONDITION_=true bug
	If a package exists, the test for its existence produces an error with _R_CHECK_LENGTH_1_CONDITION_=true (introduced in R 3.4.0), e.g.

	$ _R_CHECK_LENGTH_1_CONDITION_=true R --silent --vanilla -e 'if(is.na(packageDescription("BH"))) stop("not found")'
	> if(is.na(packageDescription("BH"))) stop("not found")
	Error in if (is.na(packageDescription("BH"))) stop("not found") :
	  the condition has length > 1
	Execution halted

	This is because 'is.na(packageDescription("BH"))' resolved to a logical vector of 15(!) FALSE values when package 'BH' is installed.  If it is not installed, then it resolves to TRUE.

	Bumping 'serial' (because that's what other PRs do)

2019-08-31  Quang Vu  <vhquang@gmail.com>

	ax_check_openssl: improve message for openssl lookup

2019-07-17  Geoffrey M Oxberry  <goxberry@gmail.com>

	ax_lapack: add dylib glob to with_lapack
	Prior to this commit, the `with_lapack` case statement checked for
	dynamic libraries with `.so` suffixes (used on *nix operating
	systems), but did not check for dynamic libraries with `.dylib`
	suffixes (used on macOS operating systems). This commit adds globs to
	the `with_lapack` case statement that check for macOS shared libraries
	using `.dylib` suffixes.

	ax_blas: add macOS shared lib globs to with_blas
	Prior to this commit, the `with_blas` case statement checked for
	dynamic libraries with `.so` suffixes (used on *nix operating
	systems), but did not check for dynamic libraries with `.dylib`
	suffixes (used on macOS operating systems). This commit adds globs to
	the `with_blas` case statement that check for macOS shared libraries
	using `.dylib` suffixes.

2019-07-14  Wang Xuerui  <git@xen0n.name>

	ax_boost_base: fix incomplete coverage of MIPS64 systems
	The previous patch was based on an outdated version of the macro, taken
	from nghttp2, that switched on `uname -m` instead of canonicalized host
	arch.  Fix the switch arm so that all MIPS64 regardless of endianness
	and ISA level (like `mipsisa64r6el`) are correctly matched.

2019-07-13  Wang Xuerui  <git@xen0n.name>

	ax_boost_base: fix libsubdirs preference for MIPS64
	Currently there're 3 well-known ABIs in use on MIPS64 systems, with
	the respective libdir as follows:

	* n64: `lib64`,
	* n32: `lib32`,
	* o32: `lib`.

	Probe all three of them.

2019-05-24  Reuben Thomas  <rrt@sc3d.org>

	ax_cc_maxopt.m4: retain setting of CFLAGS by configure
	AX_CC_MAXOPT checks whether CFLAGS was set by the user; if so, the user’s
	setting is respected. This behavior is retained, of course.

	However, AX_CC_MAXOPT was then setting CFLAGS="". This overrode the default
	setting by configure, which usually includes -g. Hence, if CFLAGS was not
	set by the user, retain the default setting, to preserve the ability to
	debug.

	A typical default setting from configure is "-g -O2". This means that
	AX_CC_MAXOPT might typically set CFLAGS to "-g -O2 -O3". This is fine,
	because the later -O3 will override the earlier -O2. (The only assumption is
	that all compilers that AX_CC_MAXOPT knows behave in this sane way.)

2019-05-22  Cedric Cellier  <rixed@happyleptic.org>

	ax_have_qt: workaround qmake bug when building out of tree
	Makefile generated by qmake include paths relative to the build
	directory that is assumed to be current.

2019-05-17  Peter Simons  <simons@cryp.to>

	ax_int128: add canonic formatting for the HTML renderer

2019-05-16  Reuben Thomas  <rrt@sc3d.org>

	ax_int128.m4: new macro AX_HAVE_INT128

2019-04-26  Ralf Habacker  <ralf.habacker@freenet.de>

	ax_have_qt.m4: Fix not getting variables from the generated Makefile on Windows
	Under Windows, the generated Makefile does not contain the required
	information by default, because it is contained in other Makefiles
	for the Release and Debug build variants. It is therefore necessary
	to use only one build variant.

2019-04-23  Jannick  <thirdedition@gmx.net>

	ax_tls.m4: Fix bug and update macros
	- replace obsolete AC_TRY_COMPILE with AC_COMPILE_IFELSE
	- fix bug of empty else branch in shell code when 2nd argument empty
	- Increase serial number from 14 to 15.
	- If second argument to macro AX_TLS is empty or null, the else branch
	  of the generated shell code was empty and caused a shell error. Fix
	  this bug by typing the null statement ':' in this case.
	- Same if first macro argument is null.
	- Add comma in AC_DEFINE description.

2019-03-02  Mischa Spiegelmock  <mischa@mvstg.biz>

	find the resource compiler for Qt5 as well

2019-03-01  Enji Cooper  <yaneurabeya@gmail.com>

	Unbreak testing for `-std=c++11` with `clang++` with `-Werror -Wnon-virtual-dtor`
	Earlier autoconf tests in the [Kyua project](https://github.com/jmmv/kyua)
	enable `-Werror -Wnon-virtual-dtor`, which fails because of the fact that
	the `Base` and `Derived` classes have non-virtual destructors with
	virtual methods. Thus, add a set of virtual destructors for both `Base` and
	`Derived` to quell the error and have `clang++` be properly detected as a
	C++-11 capable compiler.

	Bump serial and add name to copyright for the change.

	Tested with:
	- clang++ 7.0.1
	- g++ 8.2.0

2019-02-18  Reuben Thomas  <rrt@sc3d.org>

	ax_c_arithmetic_rshift.m4: add required call to AC_LANG_SOURCE

2019-02-14  Peter Simons  <simons@cryp.to>

	AX_COMPILER_VENDOR: fix comment formatting

2019-02-14  John Zaitseff  <J.Zaitseff@zap.org.au>

	ax_compiler_vendor.m4: Correct the detection of the IBM compiler

	ax_compiler_vendor.m4: Bump version number and copyright year

	ax_compiler_vendor.m4: Clarify why some compilers are listed early

	ax_compiler_vendor.m4: Make copyright lines consistent with other M4 files

	ax_compiler_vendor.m4: Add detection of the NEC SX compiler

	ax_compiler_vendor.m4: Update macro documentation to mention Fortran

	ax_compiler_vendor.m4: Reformat the macro for readability

	ax_compiler_vendor.m4: Make preprocessor directives start in column 1
	Some compilers require preprocessor directives to start in the first
	column, particularly the Portland PGI Fortran compilers.

	ax_compiler_vendor.m4: Enable detection of the Sun Fortran compilers

	ax_compiler_vendor.m4: Rearrange the Portland PGI compiler detection order
	Although the Portland PGI 18.3 pgcc C compiler is detected correctly, the
	pgc++ C++ compiler is misidentified as gnu: pgc++ obviously defines
	__GNUC__ as well as __PGI, although pgcc does not.

	ax_compiler_vendor.m4: Bug fix: remove superfluous space

2019-02-14  Peter Simons  <simons@cryp.to>

	Trivial cosmetic to make the generator happy.

2019-02-14  John Zaitseff  <J.Zaitseff@zap.org.au>

	ax_cflags_warn_all.m4: Avoid prepending empty flags

2019-02-14  John Zaitseff  <J.Zaitseff@zap.org.au>

	ax_cflags_warn_all.m4: Prepend flags instead of appending them
	With many compilers (such as the Intel C compilers), flags specified
	later in the command line override those specified earlier.
	Unfortunately, this means that the user can no longer specify
	warning-related options on the command line.  This patch fixes this issue
	by using AX_PREPEND_FLAG.

	In particular, this patch allows the user to specify "CFLAGS=-w3" on the
	./configure command line for the Intel C compiler, which will no longer
	be overridden by this macro's "-w2" option.

2019-02-14  John Zaitseff  <J.Zaitseff@zap.org.au>

	ax_prepend_flag.m4: New macro AX_PREPEND_FLAG
	The AX_PREPEND_FLAG macro adds a flag to the front of a flags shell
	variable, similar to how AX_APPEND_FLAG adds such flags to the end.  It
	should be used when adding compiler options that are position dependent:
	where those options that were previously defined (such as by the user on
	the command line) should override thoses added with AX_PREPEND_FLAG.

	ax_cflags_warn_all.m4: Bug fix: modern Intel compilers don't accept "-warn all"

	ax_cflags_warn_all.m4: Bug fix: the PGI compilers do not understand "-Wall"

	ax_cflags_warn_all.m4: Rewrite the documentation to provide greater clarity

	ax_cflags_warn_all.m4: Nicely indent remaining macros

2019-02-14  John Zaitseff  <J.Zaitseff@zap.org.au>

	ax_cflags_warn_all.m4: Rewrite AX_FLAGS_WARN_ALL to use AX_COMPILER_VENDOR
	Using AX_COMPILER_VENDOR allows significantly more robust selection of
	appropriate compiler flags.  In the old code, for example, the Sun
	(Oracle) Compiler Suite would accept Intel's "-warn all" detection, with
	rather disastrous results.

	All current compiler flags are incorporated into the new code without
	modification.

2019-02-14  John Zaitseff  <J.Zaitseff@zap.org.au>

	ax_cflags_warn_all.m4: Bump version number and add new copyright holder

2019-02-14  Peter Simons  <simons@cryp.to>

	AX_PTHREAD: avoid a -Wunused-variable warning on PTHREAD_PRIO_INHERIT
	The PTHREAD_PRIO_INHERIT check can trigger a -Wunused-variable warning, which
	can be turned into an error when -Werror is used, with the consequence that
	PTHREAD_PRIO_INHERIT appears to be missing.

	Suggested by Vincent Lefèvre in https://savannah.gnu.org/patch/?9750.

2019-02-07  Philip Withnall  <withnall@endlessm.com>

	ax_code_coverage: Fix a recursive variable definition

2019-02-05  Ossama Othman  <ossama.othman@intel.com>

	ax_is_release: Support git worktrees.
